diff --git a/books/bookvol5.pamphlet b/books/bookvol5.pamphlet
index 2b4f9c3..8f3c941 100644
--- a/books/bookvol5.pamphlet
+++ b/books/bookvol5.pamphlet
@@ -107,9 +107,10 @@ of effort. We would like to acknowledge and thank the following people:
 "James T. Wheeler       John M. Wiley          Berhard Will"
 "Clifton J. Williamson  Stephen Wilson         Shmuel Winograd"
 "Robert Wisbauer        Sandra Wityak          Waldemar Wiwianka"
-"Knut Wolf              Liu Xiaojun            Clifford Yapp"
-"David Yun              Vadim Zhytnikov        Richard Zippel"
-"Evelyn Zoernack        Bruno Zuercher         Dan Zwillinger"
+"Knut Wolf              Yanyang Xiao           Liu Xiaojun"
+"Clifford Yapp          David Yun              Vadim Zhytnikov"
+"Richard Zippel         Evelyn Zoernack        Bruno Zuercher"
+"Dan Zwillinger"
 
 ))
 
diff --git a/buglist b/buglist
index 8da2647..39b7501 100644
--- a/buglist
+++ b/buglist
@@ -1,6 +1,6 @@
 =========================================================================
 
-bug 7266: 
+bug 7267: 
 todo 336:
 wish 1012:
 meh 5:
@@ -12,6 +12,17 @@ dup 50006:
 nonextend 60077:
 
 =========================================================================
+bug 7266: integration failure for 1/(sin(x)^4+1)
+
+f:=1/(sin(x)^4+1)
+a:=integrate(f,x)
+b:=differentiate(a,x,1)
+draw(b,x=0..4)
+draw(f,x=0..4)
+
+reported by Yanyang Xiao <xyy82148@sjtu.edu.cn> 30 Nov 2014
+
+=========================================================================
 bug 7265: interpreter does early retract to Taylor series
 
 Z ==> Integer
diff --git a/changelog b/changelog
index 8e99184..227a537 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,8 @@
+20141130 xyy src/axiom-website/patches.html 20141130.01.xyy.patch
+20141130 xyy buglist: bug 7266: integration failure for 1/(sin(x)^4+1)
+20141130 xyy readme: add Yanyang Xiao to credits
+20141130 xyy books/bookvol5: add Yanyang Xiao to credits
+20141130 xyy Yanyang Xiao <xyy82148@sjtu.edu.cn>
 20141126 tpd src/axiom-website/patches.html 20141126.01.tpd.patch
 20141126 tpd projects a new file listing open project efforts
 20141125 tpd src/axiom-website/patches.html 20141125.01.tpd.patch
diff --git a/patch b/patch
index b3f5a84..5debcab 100644
--- a/patch
+++ b/patch
@@ -1,2 +1,9 @@
-projects a new file listing open project efforts
+buglist: bug 7266: integration failure for 1/(sin(x)^4+1)
 
+f:=1/(sin(x)^4+1)
+a:=integrate(f,x)
+b:=differentiate(a,x,1)
+draw(b,x=0..4)
+draw(f,x=0..4)
+
+reported by Yanyang Xiao <xyy82148@sjtu.edu.cn> 30 Nov 2014
diff --git a/readme b/readme
index 34cb2d3..8e0cd54 100644
--- a/readme
+++ b/readme
@@ -271,9 +271,10 @@ at the axiom command prompt will prettyprint the list.
 "James T. Wheeler       John M. Wiley          Berhard Will"
 "Clifton J. Williamson  Stephen Wilson         Shmuel Winograd"
 "Robert Wisbauer        Sandra Wityak          Waldemar Wiwianka"
-"Knut Wolf              Liu Xiaojun            Clifford Yapp"
-"David Yun              Vadim Zhytnikov        Richard Zippel"
-"Evelyn Zoernack        Bruno Zuercher         Dan Zwillinger"
+"Knut Wolf              Yanyang Xiao           Liu Xiaojun"
+"Clifford Yapp          David Yun              Vadim Zhytnikov"
+"Richard Zippel         Evelyn Zoernack        Bruno Zuercher"
+"Dan Zwillinger"
 
 Pervasive Literate Programming
 
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index c3372c9..90b720e 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4738,6 +4738,8 @@ books/bookvol10.{2,3,4} fix failing domain tests<br/>
 src/interp/i-intern.lisp fix bug 7264: 2.7@DoubleFloat failed<br/>
 <a href="patches/20141126.01.tpd.patch">20141126.01.tpd.patch</a>
 projects a new file listing open project efforts<br/>
+<a href="patches/20141130.01.xyy.patch">20141130.01.xyy.patch</a>
+buglist: bug 7266: integration failure for 1/(sin(x)^4+1)<br/>
  </body>
 </html>
 
